struct rio_switch
Prev | Structures | Next

## Name

struct rio_switch — RIO switch info

## Synopsis

    struct rio_switch {
      struct list_head node;
      u16 switchid;
      u16 hopcount;
      u16 destid;
      u8 route_table[RIO_MAX_ROUTE_ENTRIES];
      int (* add_entry) (struct rio_mport * mport, u16 destid, u8 hopcount,u16 table, u16 route_destid, u8 route_port);
      int (* get_entry) (struct rio_mport * mport, u16 destid, u8 hopcount,u16 table, u16 route_destid, u8 * route_port);
    };

## Members

node

  Node in global list of switches

switchid

  Switch ID that is unique across a network

hopcount

  Hopcount to this switch

destid

  Associated destid in the path

route_table[RIO_MAX_ROUTE_ENTRIES]

  Copy of switch routing table

add_entry

  Callback for switch-specific route add function

get_entry

  Callback for switch-specific route get function

Prev | Up | Next
struct rio_net | Home | struct rio_ops